{% extends 'userena/base_userena.html' %}
{% load i18n %}
{% load url from future %}

{% block title %}{% trans "Account setup" %}{% endblock %}

{% block content_title %}<h2 class="content-title">Account &raquo; {{ account.user.username }}</h2>{% endblock %}

{% block content %}
<ul id="profile-nav">
    <li><a href="{% url 'profile_detail' edition.name user.username %}">{% trans "View profile" %}</a></li>
    <li class="selected"><a href="{% url 'userena_profile_edit' edition.name user.username %}">{% trans "Edit details" %}</a></li>
</ul>

<form action="" enctype="multipart/form-data" method="post">
    {% if user.username == account.user.username %}
    <ul id="box-nav">
        <li class="first"><a href="{% url 'userena_detail' edition.name user.username %}"><span>{% trans 'View profile' %}</span></a></li>
        <li class="selected"><a href="{% url 'userena_edit' edition.name account.user.username %}">{% trans "Edit profile" %}</a></li>
    </ul>
    {% endif %}
    {% csrf_token %}
    <center><img src="{{ profile.get_mugshot_url }}" alt="mugshot"></center>
    <fieldset>
        <legend>{% trans "Edit Profile" %}</legend>
        {{ form.as_p }}
    </fieldset>
    <input type="submit" value="{% trans "Save changes" %}" />
</form>
{% endblock %}
